[起始页>>>](../README.md) | [本章目录](/README.md) | [总目录](../README.md)


### 1.1 为什么要用GitR？

从GitR提供的功能模块说明使用GitR进行科研管理的必要性。

* 安全存储：办公室、实验室、家里、旅途中，随时随地工作。即使电脑崩溃，项目数据可完全修复，不会丢失。
* 版本管理：自动跟踪项目变动信息，用版本追踪项目执行过程中工作流程的变动，对比文件的更改，用分支记录执行过程中思路和工作的变化。
* 团队协作：提供简单易用的团队工作环境。团队成员在同一个项目载体上工作，保证了项目的统一与协调，同时又通过分支隔离团队成员的工作，保证其相对的独立性。
* 工单系统：工单系统实现项目任务的合理分配，进展监控，结果审核与最终的集成。发现问题，随时随地讨论解决的办法。比定期的学术交流更及时，更有针对性。
* wiki系统：使用wiki系统对项目的目标、思路、方法、路线、数据、结果等进行详细的描述，让潜在的协作者清楚的了解你的项目，有利于为社区同行作出贡献。
* 项目网站：每个项目对应一个项目网站，展示项目的成果、数据、图表，加强宣传的效果。对于公益性监测站项目，可作为监测数据的发布窗口。
* 可扩展性：与关系数据库相比，文件的数据结构更加灵活，能够适应多样的试验类型。一般试验的数据量很小，用文件存取速度更快。现在的模型软件也都以文件作为输入，因此也利于建模。
* 符合习惯：Git的存储介质是文件，以文件夹形式组织，符合大多数人的工作习惯，本地仓库以隐含文件的形式存在，正常显示模式下根本看不出有什么不同。Git提供的项目管理和团队协作给我们的科研工作带来方便，但还不仅如此，R的加入则给我们带来了更多激动人心的功能。
* 数据采集自动化：Git可用于实现数据采集自动化，相比于webAPI数据接口，Git文件更加灵活，也更容易实现。尤其是网络不稳定的情况下，不需要考虑数据的暂存和延迟提交问题。一般的数据分析仪器都以文件存储数据，只要将目标存储地址设为项目的数据文件夹，就一切OK：数据整理->数据分析->绘制图表->试验报告->网站发布，几秒钟之内即可完成。
* 数据分析自动化：对于两年、三年甚至多年的重复实验，每年的数据处理方法相同，对于观测类项目，数据格式固定，处理方法也固定，处理程序可重复使用，GitR可实现数据自动处理，一次开发，多次使用。有了数据，分析工作就已经完成了 。这样可以防止数据积压，来不及处理的情况，并根据结果及时调整试验方案。
* 试验报告自动化：对于两年、三年甚至多年的重复实验，每年的数据处理方法相同，对于观测类项目，数据格式固定，处理方法也固定，处理程序可重复使用，GitR可实现数据自动处理，一次开发设计，多次使用。
* 撰写文章半自动化：根据期刊的格式要求制作文章模板。这个需要LaTeX基础，由专人定制，一般人只要关心数据、分析方法就行了。这样可以减少因格式问题带来的麻烦。我们只要编辑简单的文本，word、pdf、LaTeX，随你要啥，一键生成，不同期刊任意切换。当然，撰写文章不可能实现全自动，文档结构，格式，表格、图表、参考文献等基本素材自动生成，而思想、逻辑、结构、句法、修辞、文字，还得靠自己。



[>>> 1.2 git是什么](what_is_gitr.md)