### 构建GitR工作环境

* 系统组成：一个项目托管系统，寄宿项目的主仓库。多个终端，存储个人仓库。主仓库用于项目文件的克隆，工单分发，个人仓库提交合并，交流讨论。终端可以是个人电脑、手机，也可以是观测站、样品分析仪器、传感器，这些仪器一般都会带有一台电脑，或者aduino、raspberry之类的超微电脑，用于数据录入，数据采集和预处理。
* 需要的软件：服务器端如何实现不需要普通用户关心；客户端不管是电脑还是数据采集设备，都需要一个git客户端软件；用于数据分析的电脑需要安装R和相关的函数包，如dplyr、ggplot2、rmarkdown等；推荐使用rstudio编辑和管理。
* 如果嫌安装配置麻烦，如rstudio对中文不太友好，可以使用服务器版，所有安装配置问题不用操心，拥有一个账号就行了，而且非常好用。换句话说，最极端的情况下，你只要有一个账号就一切OK，当然，你得有一台能联网的电脑。
* 对于一个几十人的组织而言，理想的配置是这样的。一台中高性能的服务器，可以自备，最好是租赁，如阿里云、华为云都行，他们会提供一个外部出口，价格一万元左右的就够用了。自备一个高性能服务器，安装rstudio server等相关软件，作为组织成员的工作空间。所谓高性能的服务器，其实只要一个好一点的台式机就可以了。
* 如果需要较大规模的计算，如土壤气象作物模拟，数据挖掘，可以利用本单位的个人计算机，共享部分闲置计算能力，建立集群（其实一般用不着）。要实现GitR项目管理和自动化，用docker建立swarm就可以了。这对每个成员的工作几乎没有影响，但却用这些旧计算机建立了一个强大的共同工作空间。我用两台微型计算机建立了一个最小的swarm集群，实现了负载均衡，实验证明这种共享模式是可行的。
* GitR系统的实际建筑过程还是要费些周章的，具体的理论、方法、技巧三言两语也说不清楚。科研人员也不一定要搞清楚，否则就违背了GitR的初衷了。GitR的目标是让专业人员的精力集中到专业中去。当然，一个宏观大致的了解还是必须的，知其然也知其所以然，便于更好地应用。本教程的目的就是让您的对GitR有个大致的了解，尽量说的简单明白，让没有任何GitR基础的同学也有学习的兴趣，不至于被那些陌生的词汇吓跑。
